Subject: [RFC PATCH 2/3] ata: ahci-platform: Add ports-implemented dt bindings.

From: [email-masked] (Srinivas Kandagatla)
Date: Tue, 29 Mar 2016 18:10:03 +0100

On 29/03/16 18:07, Rob Herring wrote:
> On Tue, Mar 29, 2016 at 9:43 AM, Srinivas Kandagatla
> <[email-masked]> wrote:
>>
>>
>> On 29/03/16 15:11, Rob Herring wrote:
>>>
>>> On Tue, Mar 29, 2016 at 8:11 AM, Srinivas Kandagatla
>>> <[email-masked]> wrote:
>>>>
>>>> On some SOCs PORTS_IMPL register value is never programmed by the BIOS
>>>
>>>
>>> s/BIOS/firmware/
>>
>> BIOS is the word used in the AHCI SPECS so want to stick to this.
>
> The spec being Intel's also says it is a PCI device... BIOS is a type
> of firmware.
Ofcourse.
>
> [...]
>
>>>> +       sata0: sata at 29000000 { /* Qualcomm APQ8064 */
>>>
>>>
>>> Do you really need another example just for this?
>>>
>>>> +               compatible = "generic-ahci";
>>>
>>>
>>> Where's your chip specific compatible string? You would not require a
>>> DT update to fix this if you had that.
>>
>>
>> Possibly, But we really are not doing anything specific in the ahci driver
>> which is not generic, that might be the reason why we skipped this in the
>> first place.
>>
>> I agree we could solve this issue in more than one way, The only advantage
>> of this new bindings would be to other platforms benefiting from this
>> workaround would not have to keep adding a new compatible string into the
>> ahci-platform driver.
>>
>> Like Annapurna Alpine platform seems to have the same issue.
>>
>> Am ok to do it either way.
>
> I'm saying do both. Adding ports-implemented is fine, but add an SoC
> compatible string (in the dts, not the driver).
That sounds Good, I will add compatible string in DT and implement 
ports-implemented.

--srini
> Rob